import React, { FunctionComponent } from "react";
import { browser } from "webextension-polyfill-ts";
import WhiteRabbitWallet from './wallet/WhiteRabbitWallet';

// // // //

export const Popup: FunctionComponent = () => {
    // Sends the `popupMounted` event
    React.useEffect(() => {
        browser.runtime.sendMessage({ popupMounted: true });
    }, []);

    // Renders the component tree
    return (
        <WhiteRabbitWallet />
    );
};
